   do 

     DetectionSetGroup_Red = SET_GROUP:New()
     DetectionSetGroup_Red:FilterPrefixes( { "DF REDFOR EWR" } )
     DetectionSetGroup_Red:FilterStart()  
    
    
     A2A_Detection_Red = DETECTION_AREAS:New( DetectionSetGroup_Red, 600000 )     
    
       
    
     A2A_Red = AI_A2A_DISPATCHER:New( A2A_Detection_Red )
     A2A_Red:SetEngageRadius(150000)
    
    
     A2A_Red:SetSquadron("Maykop", AIRBASE.Caucasus.Maykop_Khanskaya, {"SQ REDFOR MIG-19 CAP 1", "SQ REDFOR MIG-21 CAP 1"})
     CAPZoneRed1 = ZONE_POLYGON:New( "REDFOR CAP Zone 1", GROUP:FindByName( "REDFOR CAP Zone 1" ) )
     A2A_Red:SetSquadronCap( "Maykop", CAPZoneRed1, 4000, 8000, 600, 800, 800, 1200, "BARO" )
     A2A_Red:SetSquadronCapInterval( "Maykop", 7, 30, 120 )

     A2A_Red:SetSquadron("Mozdok", AIRBASE.Caucasus.Mozdok, {"SQ REDFOR MIG-19 CAP 2", "SQ REDFOR MIG-21 CAP 2"})
     CAPZoneRed2 = ZONE_POLYGON:New( "REDFOR CAP Zone 2", GROUP:FindByName( "REDFOR CAP Zone 2" ) )
     A2A_Red:SetSquadronCap( "Mozdok", CAPZoneRed2, 6000, 11000, 600, 800, 800, 1200, "BARO" )
     A2A_Red:SetSquadronCapInterval( "Mozdok", 7, 30, 120 )

     A2A_Red:SetDefaultTakeoffFromParkingCold()
     A2A_Red:SetDefaultLandingAtRunway()

   end
    --REDFOR GCICAP
    ---------------------------------------------
  
   do

     DetectionSetGroup_Blue = SET_GROUP:New()
     DetectionSetGroup_Blue:FilterPrefixes( { "DF BLUFOR EWR" } )
     DetectionSetGroup_Blue:FilterStart()  
    
    
     A2A_Detection_Blue = DETECTION_AREAS:New( DetectionSetGroup_Blue, 600000 )     
     
       
    
     A2A_Blue = AI_A2A_DISPATCHER:New( A2A_Detection_Blue )
     A2A_Blue:SetEngageRadius(150000)
    
    
     A2A_Blue:SetSquadron("Senaki", AIRBASE.Caucasus.Senaki_Kolkhi, {"SQ BLUFOR F-5 CAP 1", "SQ BLUFOR MIG-21 CAP 1"})
     CAPZoneBlue1 = ZONE_POLYGON:New( "BLUFOR CAP Zone 1", GROUP:FindByName( "BLUFOR CAP Zone 1" ) )
     A2A_Blue:SetSquadronCap( "Senaki", CAPZoneBlue1, 4000, 8000, 600, 800, 800, 1200, "BARO" )
     A2A_Blue:SetSquadronCapInterval( "Senaki", 4, 30, 120 )

     A2A_Blue:SetSquadron("Vaziani", AIRBASE.Caucasus.Vaziani, {"SQ BLUFOR F-5 CAP 2", "SQ BLUFOR MIG-21 CAP 2"})
     CAPZoneBlue2 = ZONE_POLYGON:New( "BLUFOR CAP Zone 2", GROUP:FindByName( "BLUFOR CAP Zone 2" ) )
     A2A_Blue:SetSquadronCap( "Vaziani", CAPZoneBlue2, 6000, 11000, 600, 800, 800, 1200, "BARO" )
     A2A_Blue:SetSquadronCapInterval( "Vaziani", 7, 30, 120 )

     A2A_Blue:SetDefaultTakeoffFromParkingCold()
     A2A_Blue:SetDefaultLandingAtRunway()

   end

    --BLUFOR GCICAP
    ---------------------------------------------

    local Recce_Blue = SET_GROUP:New()
    Recce_Blue:FilterPrefixes( {"RECCE BLUFOR"} ) 
    Recce_Blue:FilterStart()

    local Detection_Blue = DETECTION_AREAS:New(Recce_Blue, 15000) -- group name, range in meters

    A2G_Blue = AI_A2G_DISPATCHER:New(Detection_Blue)

    local HQ_Group_Blue = GROUP:FindByName ("HQ BLUFOR")
    local HQ_CC_Blue = COMMANDCENTER:New(HQ_Group_Blue, "HQ BLUFOR")

    --A2G_Blue:SetTacticalDisplay( true ) --optional

    A2G_Blue:AddDefenseCoordinate( "HQ BLUFOR",  HQ_Group_Blue:GetCoordinate() )
    A2G_Blue:SetDefenseRadius(500000) -- in meters
    A2G_Blue:SetDefenseReactivityHigh() -- will engage quickly


    A2G_Blue:SetCommandCenter( HQ_CC_Blue )
    
    
    A2G_Blue:SetSquadron("SQ BLUFOR BAI", AIRBASE.Caucasus.Sukhumi_Babushara, {"SQ BLUFOR A2G BAI"})
    A2G_Blue:SetSquadronBai("SQ BLUFOR BAI", 600, 700, 500, "RADIO")  --min speed, max speed, min alt, max alt   
    A2G_Blue:SetDefaultTakeoffFromParkingCold("SQ BLUFOR BAI")
    A2G_Blue:SetDefaultLandingAtRunway("SQ BLUFOR BAI")
    A2G_Blue:SetSquadronOverhead("SQ BLUFOR BAI", 0.20)

    A2G_Blue:SetSquadron("SQ BLUFOR CAS", "BLUFOR FARP 1", {"SQ BLUFOR A2G CAS"})
    A2G_Blue:SetSquadronCas("SQ BLUFOR CAS", 150, 200, 50, 500, "RADIO")  --min speed, max speed, min alt, max alt   
    A2G_Blue:SetDefaultTakeoffFromParkingCold("SQ BLUFOR CAS")
    A2G_Blue:SetDefaultLandingAtRunway("SQ BLUFOR CAS")
    A2G_Blue:SetSquadronOverhead("SQ BLUFOR CAS", 0.30)

    A2G_Blue:SetSquadron("SQ BLUFOR SEAD", AIRBASE.Caucasus.Sukhumi_Babushara, {"SQ BLUFOR A2G SEAD"})
    A2G_Blue:SetSquadronSead("SQ BLUFOR SEAD", 500, 600, 50, 500, "RADIO")  --min speed, max speed, min alt, max alt   
    A2G_Blue:SetDefaultTakeoffFromParkingCold("SQ BLUFOR SEAD")
    A2G_Blue:SetDefaultLandingAtRunway("SQ BLUFOR SEAD")
    A2G_Blue:SetSquadronOverhead("SQ BLUFOR SEAD", 0.10)

    --BLUFOR A2G DISPATCHER
    ------------------------------------------------

    local Recce_Red = SET_GROUP:New()
    Recce_Red:FilterPrefixes( {"RECCE REDFOR"} ) 
    Recce_Red:FilterStart()

    local Detection_Red = DETECTION_AREAS:New(Recce_Red, 15000) -- group name, range in meters

    A2G_Red = AI_A2G_DISPATCHER:New(Detection_Red)

    local HQ_Group_Red = GROUP:FindByName ("HQ REDFOR")
    local HQ_CC_Red = COMMANDCENTER:New(HQ_Group_Red, "HQ REDFOR")

    --A2G_Red:SetTacticalDisplay( true ) --optional

    A2G_Red:AddDefenseCoordinate( "Defense Point", DefenseCoordinate )
    A2G_Red:SetDefenseRadius(500000) -- in meters
    A2G_Red:SetDefenseReactivityHigh() -- will engage quickly


    A2G_Red:SetCommandCenter( HQ_CC_Red )



    A2G_Red:SetSquadron("SQ REDFOR BAI", AIRBASE.Caucasus.Sochi_Adler, {"SQ REDFOR A2G BAI"})
    A2G_Red:SetSquadronBai("SQ REDFOR BAI", 600, 800, 50, 500)  --min speed, max speed, min alt, max alt  
    A2G_Red:SetDefaultTakeoffFromParkingCold("SQ REDFOR BAI")
    A2G_Red:SetDefaultLandingAtRunway("SQ REDFOR BAI")
    A2G_Red:SetSquadronOverhead("SQ REDFOR BAI", 0.20)    

    A2G_Red:SetSquadron("SQ REDFOR CAS", "REDFOR FARP CAS", {"SQ REDFOR A2G CAS"})
    A2G_Red:SetSquadronCas("SQ REDFOR CAS", 150, 200, 50, 500)  --min speed, max speed, min alt, max alt  
    A2G_Red:SetDefaultTakeoffFromParkingCold("SQ REDFOR CAS")
    A2G_Red:SetDefaultLandingAtRunway("SQ REDFOR CAS")
    A2G_Red:SetSquadronOverhead("SQ REDFOR CAS", 0.30)

    A2G_Red:SetSquadron("SQ REDFOR SEAD", AIRBASE.Caucasus.Sochi_Adler, {"SQ REDFOR A2G SEAD"})
    A2G_Red:SetSquadronSead("SQ REDFOR SEAD", 500, 600, 50, 500)  --min speed, max speed, min alt, max alt  
    A2G_Red:SetDefaultTakeoffFromParkingCold("SQ REDFOR SEAD")
    A2G_Red:SetDefaultLandingAtRunway("SQ REDFOR SEAD")
    A2G_Red:SetSquadronOverhead("SQ REDFOR SEAD", 0.10)

    --REDFOR A2G DISPATCHER
    -------------------------------------------------

    Ground_Force_Blue_1 = SPAWN:New( "RECCE BLUFOR Ground Force 1" ):InitLimit(10, 0)
      :InitRandomizeRoute( 1, 1, 400 )
      :SpawnScheduled( 60, .5 )  
    
      
    Ground_Force_Blue_2 = SPAWN:New( "RECCE BLUFOR Ground Force 2" ):InitLimit(10, 0)
      :InitRandomizeRoute( 1, 1, 400 )
      :SpawnScheduled( 30, .5 )   

    --BLUFOR GROUND FORCE
    --------------------------------------------------
  
     Ground_Force_Red_1 = SPAWN:New( "RECCE REDFOR Ground Force 1" )
      :InitLimit(10,0)
      :InitRandomizeRoute( 1, 1, 1000 ) 
      :SpawnScheduled( 90, .5 )

     Ground_Force_Red_2 = SPAWN:New( "RECCE REDFOR Ground Force 2" )
      :InitLimit(10,0)
      :InitRandomizeRoute( 1, 1, 1000 ) 
      :SpawnScheduled( 70, .5 )
     
     Ground_Force_Red_3 = SPAWN:New( "RECCE REDFOR Ground Force 3" )
      :InitLimit(10,0)
      :InitRandomizeRoute( 1, 1, 1000 ) 
      :SpawnScheduled( 60, .5 )

    Ground_Force_Red_4 = SPAWN:New( "RECCE REDFOR Ground Force 4" )
      :InitLimit(3,0)
      :InitRandomizeRoute( 1, 1, 1000 ) 
      :SpawnScheduled( 600, .5 )
    
    Ground_Force_Red_5 = SPAWN:New( "RECCE REDFOR Ground Force 5" )
      :InitLimit(3,0)
      :InitRandomizeRoute( 1, 1, 1000 ) 
      :SpawnScheduled( 600, .5 )



    --REDFOR GROUND FORCE
    --------------------------------------------------

    do
     
      -- Declare SPAWN objects
      Spawn_Helo_Blue_1 = SPAWN:New("RECCE BLUFOR HELO 1"):InitLimit( 2, 0 )
       :InitRepeatOnEngineShutDown()

      

      Spawn_Helo_Blue_1:SpawnScheduled(800,0)
    
    end

    do

      Spawn_Helo_Blue_2 = SPAWN:New("RECCE BLUFOR HELO 2"):InitLimit( 2, 0 )
       :InitRepeatOnEngineShutDown()

      

      Spawn_Helo_Blue_2:SpawnScheduled(800,0)
          
    end

    --BLUFOR RECON HELO SPAWN
    --------------------------------------------------

    do

      -- Declare SPAWN objects
      Spawn_Helo_Red_1 = SPAWN:New("RECCE REDFOR HELO 1"):InitLimit( 3, 0 )
       :InitRepeatOnEngineShutDown()

      

      
      -- Now SPAWN the GROUPs
       Spawn_Helo_Red_1:SpawnScheduled(800,0)
    
    end

    do

      -- Declare SPAWN objects
      Spawn_Helo_Red_2 = SPAWN:New("RECCE REDFOR HELO 2"):InitLimit( 3, 0 )
       :InitRepeatOnEngineShutDown()

      

      
      -- Now SPAWN the GROUPs
       Spawn_Helo_Red_2:SpawnScheduled(800,0)
    
    end


    --REDFOR RECON HELO SPAWN
    ---------------------------------------------------

    do

      -- Declare SPAWN objects
      Spawn_Plane_Blue_1 = SPAWN:New("RECCE BLUFOR PLANE 1"):InitLimit( 2, 0 )
       :InitRandomizeRoute( 1, 1, 30000 )
       :InitRepeatOnEngineShutDown()

            

      Spawn_Plane_Blue_1:SpawnScheduled( 800, 0 )
    
    end

    do
     
      Spawn_Plane_Blue_2 = SPAWN:New("RECCE BLUFOR PLANE 2"):InitLimit( 2, 0 )
       :InitRandomizeRoute( 1, 1, 30000 )
       :InitRepeatOnEngineShutDown()

           

      Spawn_Plane_Blue_2:SpawnScheduled( 800, 0 )
      
      -- Now run the mission and observe the behaviour.
    
    end

    --BLUFOR RECON PLANE SPAWN
    ---------------------------------------------------
    
    do

      -- Declare SPAWN objects
      Spawn_Plane_Red_1 = SPAWN:New("RECCE REDFOR PLANE 1"):InitLimit( 2, 0 )
       :InitRandomizeRoute( 1, 1, 30000)
       :InitRepeatOnEngineShutDown()
            

      Spawn_Plane_Red_1:SpawnScheduled(800,0)
      
      -- Now run the mission and observe the behaviour.
    
    end

    do

      -- Declare SPAWN objects
      Spawn_Plane_Red_2 = SPAWN:New("RECCE REDFOR PLANE 2"):InitLimit( 2, 0 )
       :InitRandomizeRoute( 1, 1, 30000)
       :InitRepeatOnEngineShutDown()
            

      Spawn_Plane_Red_2:SpawnScheduled( 1600, .5 )
      
      -- Now run the mission and observe the behaviour.
    
    end

    --REDFOR RECON PLANE SPAWN
    ---------------------------------------------------
    do
    
     Navy_Blue_1 = SPAWN:New("BLUFOR Navy 1")
      :SpawnScheduled( 1600, .5 )
      :InitLimit( 6, 0 )
      :InitRandomizeRoute( 1, 1, 10000)
          

     Navy_Blue_2 = SPAWN:New("BLUFOR Navy 2")
      :SpawnScheduled( 180, .5 )
      :InitLimit( 4, 0 )    
      :InitRandomizeRoute( 1, 1, 5000)    

    end
     

    --BLUFOR NAVY SPAWN
    ---------------------------------------------------
    do
     
    Navy_Red_1 = SPAWN:New("REDFOR Navy 1")
      :SpawnScheduled( 1600, .5 )
      :InitLimit( 7, 0 )
      :InitRandomizeRoute( 1, 1, 10000)    

     Navy_Red_2 = SPAWN:New("REDFOR Navy 2")
      :SpawnScheduled( 180, .5 )
      :InitLimit( 4, 0 )
      :InitRandomizeRoute( 1, 1, 5000)
           

    end

    --REDFOR NAVY SPAWN
    ---------------------------------------------------

    do

      SamZoneTable = { ZONE:New( "SAM ZONE 1" ), ZONE:New( "SAM ZONE 2" ), ZONE:New( "SAM ZONE 3" ), ZONE:New( "SAM ZONE 4" ) }

      SAM_Red = SPAWN:New("REDFOR FARP SAM")
       :InitLimit(140, 0)
       :InitRandomizeZones( SamZoneTable )
       :SpawnScheduled(600, 0 )

    end

    --REDFOR SAM NETWORK
    ---------------------------------------------------


    do

      -- Declare SPAWN objects
      Spawn_Plane_Red_3 = SPAWN:New("REDFOR BOMBER 1"):InitLimit( 3, 2 )
       :InitRandomizeRoute( 1, 1, 30000)
       :InitRepeatOnEngineShutDown()
            

      Spawn_Plane_Red_3:SpawnScheduled( 1800, .5 )
      
      -- Now run the mission and observe the behaviour.
    
    end

    do

      -- Declare SPAWN objects
      Spawn_Plane_Red_4 = SPAWN:New("REDFOR BOMBER 2"):InitLimit( 3, 2 )
       :InitRandomizeRoute( 1, 1, 30000)
       :InitRepeatOnEngineShutDown()
            

      Spawn_Plane_Red_4:SpawnScheduled( 1800, .5 )
      
      -- Now run the mission and observe the behaviour.
    
    end
    --REDFOR BOMBERS
    ----------------------------------------------------


